/* TG01AccelerationEvent.java
   Copyright (C) 2009 freebeans

This file is part of Mysaifu JVM.

Mysaifu JVM is free software; you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation; version 2 of the License.

Mysaifu JVM is distributed in the hope that it will be useful, but
WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public License
along with GNU Classpath; see the file COPYING.  If not, write to the
Free Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307 USA.

Linking this library statically or dynamically with other modules is
making a combined work based on this library.  Thus, the terms and
conditions of the GNU General Public License cover the whole
combination.

As a special exception, the copyright holders of this library give you
permission to link this library with independent modules to produce an
executable, regardless of the license terms of these independent
modules, and to copy and distribute the resulting executable under
terms of your choice, provided that you also meet, for each linked
independent module, the terms and conditions of the license of that
module.  An independent module is a module which is not derived from
or based on this library.  If you modify this library, you may extend
this exception to your version of the library, but you are not
obligated to do so.  If you do not wish to do so, delete this
exception statement from your version. */


package com.mysaifu.mobile.device.tg01;

import java.util.EventObject;

/**
 * TG01 Acceleration event
 */
public class TG01AccelerationEvent
    extends EventObject
{
  private final int x;
  private final int y;
  private final int z;
  
  /**
   * Create a TG01 Acceleration event object with specified parameters.
   * 
   * @param accelerometer <code>TG01Accelerometer</code>
   * @param x
   * @param y
   * @param z
   */
  public TG01AccelerationEvent(TG01Accelerometer accelerometer, int x, int y, int z)
  {
    super(accelerometer);
    this.x = x;
    this.y = y;
    this.z = z;
  }

  public int getX()
  {
    return this.x;
  }
  
  public int getY()
  {
    return this.y;
  }
  
  public int getZ()
  {
    return this.z;
  }
}
